Skip to main content
POST
1 つのキーワードについて、週次および月次のボリューム予測をオンデマンドで取得します。 keyword、matching_type、期間を指定し、regions と platforms で絞り込みます。
  • matching_type: exact_match または phrase_match。
  • 行: 国、プラットフォーム、期間ごとに 1 行です。レスポンスには週次と月次の両方の行が含まれ、frequency (Week - Monday Start または Month) で区別します。
  • プライバシー: ユーザーが 2 人以下のスライスはレスポンスから除外されます。
  • organization_id: API キーが複数の組織にアクセスできる場合にのみ必須です。どの組織の 1 日あたりの利用枠を消費するかを指定します。
1 日あたりのキーワード利用枠。 各組織は、UTC の 1 日あたり 1,000 件の異なる キーワードを検索できます。同じ日に既に検索したキーワードを再度検索しても 利用枠は消費されません。上限を超えて新しいキーワードを検索すると、X-KeywordQuota-* および Retry-After ヘッダーとともに 429 が返されます。行が返されなかった検索も 利用枠にカウントされます。

承認

X-API-Key
string
header
必須

ボディ

application/json
keyword
string
必須
matching_type
enum<string>
必須
利用可能なオプション:
exact_match,
phrase_match
start_date
string<date>
必須
end_date
string<date>
必須
regions
string[]

ISO 3166-1 alpha-3 country codes (e.g. USA). Omit to include every region.

platforms
enum<string>[]

Platforms to restrict to. Omit to include every platform.

利用可能なオプション:
chatgpt.com,
gemini.google.com,
perplexity.ai
organization_id
string<uuid> | null

Organization whose daily keyword allowance is used. Required in the JSON request body for API keys with multiple organizations that have API access. If omitted or null, defaults to the API key's sole organization with API access or the token's active organization. For OAuth/M2M tokens, any supplied organization_id must match the token's organization.

レスポンス

Successful Response

Response wrapper with metadata and data array.

info
VolumeResponseInfo · object
必須

Metadata for volume query response. truncated indicates if results hit MAX_ROWS limit.

data
OtfVolumeData · object[]
必須